## libdemeter-perl 0.9.27%2Bds6

=== documentation/Makefile ===


all:	athena artemis dpg singlepage


athena:
	make -C Athena html

artemis:
	make -C Artemis html

dpg:
	make -C DPG html

singlepage:
	make -C SinglePage html

clean:
	make -C Athena clean
	make -C Artemis clean
	make -C DPG clean
	make -C SinglePage clean

=== debian/changelog ===
libdemeter-perl (0.9.27+ds6-4) unstable; urgency=medium

  * Team upload.
  * Update test and runtime dependencies.
    Add libchemistry-formula-perl to Build-Depends and libwx-perl to Depends,
    the latter closes: #1064482.
  * Split build dependencies into Build-Depends and Build-Depends-Indep.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Feb 2024 00:56:23 +0100

libdemeter-perl (0.9.27+ds6-3) unstable; urgency=medium

  [ gregor herrmann ]
  * d/rules: make png file writable before calling
    dh_strip_nondeterminism.
  * Update debian/libdemeter-perl.docs and debian/libdemeter-
    perl.examples.
  * Declare compliance with Debian Policy 4.6.2.
  * Annotate test-only build dependencies with <!nocheck>.
  * Add debian/upstream/metadata.
  * Remove <!nocheck> from packages which are needed to build.
  * Add some runtime dependencies.
  * Set HOME in debian/tests/pkg-perl/smoke-env.
  * Switch from arch:any to arch:all.
  * Update years of packaging copyright.

  [ Roland Mas ]
  * Remove more files that are already packaged separately, thanks to
    Andreas Beckmann (Closes: #1064067) (again).

 -- Roland Mas <lolando@debian.org>  Wed, 21 Feb 2024 17:36:47 +0100

libdemeter-perl (0.9.27+ds6-2) unstable; urgency=medium

  * Source-only upload for migration to testing.
  * Bug fix: "ships perl modules already packaged separately as
    libxray-scattering-perl, libxray-absorption-perl", thanks to Andreas
    Beckmann (Closes: #1064067).

 -- Roland Mas <lolando@debian.org>  Fri, 16 Feb 2024 20:30:53 +0100

libdemeter-perl (0.9.27+ds6-1) unstable; urgency=medium

  * debian/copyright: exclude XCOM from upstream source, as it's non-free.
  * debian/copyright: exclude h12213.cif from upstream source, as it's not
    redistributable.
  * debian/copyright: exclude AuCl.cif from upstream source, as it's not
    non-free.
  * debian/copyright: exclude inc/Module-Build, as it's useless and would
    introduce extra copyright holders.
  * debian/copyright: exclude attic, as it's useless and would
    introduce extra copyright holders.
  * debian/copyright: exclude swig-generated files.
  * debian/copyright: exclude inc/Module-Build, as it's useless.
  * debian/copyright: exclude lib/STAR from upstream source, as it's non-free.
  * debian/copyright: exclude lib/pod.css, as CC-2.5 is not DFSG-free.
  * debian/copyright: include missing copyright holders.
  * debian/watch: point at Github.
  * Use xvfb-run for testsuite.
  * Replaces: libifeffit-perl.

 -- Roland Mas <lolando@debian.org>  Tue, 13 Feb 2024 15:44:08 +0100

libdemeter-perl (0.9.27-1) unstable; urgency=low

  * Initial release (closes: #1033980).

 -- Roland Mas <lolando@debian.org>  Fri, 14 Apr 2023 17:48:42 +0200

## libdemeter-perl 0.9.27+ds6

=== documentation/Artemis/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.'
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Athena.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Athena.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Athena"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Athena"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== documentation/SinglePage/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.'
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
#sh fix_mingw.sh
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Athena.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Athena.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Athena"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Athena"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
libdemeter-perl (0.9.27+ds6-9) unstable; urgency=medium

  * Depend and Build-Depend on libpdl-filter-perl, this fixes: "FTBFS with
    PDL >= 2.096 (PDL::Filter::Linear removed)", thanks to Bas Couwenberg
    (Closes: #1092121). Note that the libpdl-filter-perl is pending review
    before entering Debian unstable, but it should be available shortly.

 -- Roland Mas <lolando@debian.org>  Wed, 08 Jan 2025 16:03:03 +0100

libdemeter-perl (0.9.27+ds6-8) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.7.0.
  * Update perl build dependencies. This is an arch:all package.
  * Add libterm-twiddle-perl as a test dependency to be on the safe side.
  * debian/control: add libterm-sk-perl. Thanks to autopkgtests.
  * autopkgtests:
    + skip use.t which needs DISPLAY set
    + add debian/tests/pkg-perl/syntax-skip to skip syntax check for files
      where it can't succedd for one reason or another
    + DEMETER_FORCE_IFEFFIT in debian/tests/pkg-perl/smoke-env
    + add debian/tests/pkg-perl/smoke-skip

 -- gregor herrmann <gregoa@debian.org>  Wed, 05 Jun 2024 22:49:36 +0200

libdemeter-perl (0.9.27+ds6-7) unstable; urgency=medium

  * Add missing Depends.

 -- Roland Mas <lolando@debian.org>  Fri, 24 May 2024 18:18:36 +0200

libdemeter-perl (0.9.27+ds6-6) unstable; urgency=medium

  * Backport "removed wxTB_3DBUTTONS attribute from toolbars in Artemis
    and Atoms" patch from upstream, this fixes: "Use of wxTB_3DBUTTONS
    crashes the Artemis GUI", thanks to Carlo Segre (Closes: #1064492).

 -- Roland Mas <lolando@debian.org>  Fri, 24 May 2024 17:52:08 +0200

libdemeter-perl (0.9.27+ds6-5) UNRELEASED; urgency=medium

  * Move libmodule-build-perl to Build-Depends.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Feb 2024 19:24:20 +0100

=== debian/control ===
Source: libdemeter-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Roland Mas <lolando@debian.org>,
Section: contrib/perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libmodule-build-perl,
 perl,
Build-Depends-Indep:
 ifeffit <!nocheck>,
 libarchive-zip-perl <!nocheck>,
 libcapture-tiny-perl <!nocheck>,
 libchemistry-elements-perl,
 libchemistry-formula-perl <!nocheck>,
 libconfig-ini-perl <!nocheck>,
 libconst-fast-perl <!nocheck>,
 libdatetime-perl,
 libdigest-sha-perl <!nocheck>,
 libencoding-fixlatin-perl <!nocheck>,
 libextutils-cbuilder-perl,
 libfile-copy-recursive-perl <!nocheck>,
 libfile-countlines-perl <!nocheck>,
 libfile-slurper-perl <!nocheck>,
 libfile-touch-perl <!nocheck>,
 libfile-which-perl <!nocheck>,
 libgraph-perl <!nocheck>,
 libgraphics-gnuplotif-perl,
 libheap-perl <!nocheck>,
 libifeffit-perl <!nocheck>,
 libjson-perl,
 liblist-moreutils-perl <!nocheck>,
 libmath-combinatorics-perl <!nocheck>,
 libmath-derivative-perl <!nocheck>,
 libmath-random-free-perl <!nocheck>,
 libmath-round-perl <!nocheck>,
 libmath-spline-perl <!nocheck>,
 libmoose-perl <!nocheck>,
 libmoosex-aliases-perl <!nocheck>,
 libmoosex-types-laxnum-perl <!nocheck>,
 libmoosex-types-perl <!nocheck>,
 libpdl-filter-perl <!nocheck>,
 libpdl-stats-perl <!nocheck>,
 libpod-pom-perl <!nocheck>,
 libpod-projectdocs-perl <!nocheck>,
 libregexp-assemble-perl,
 libregexp-common-perl <!nocheck>,
 librpc-xml-perl <!nocheck>,
 libspreadsheet-writeexcel-perl <!nocheck>,
 libstar-parser-perl <!nocheck>,
 libstatistics-descriptive-perl <!nocheck>,
 libterm-sk-perl <!nocheck>,
 libterm-twiddle-perl <!nocheck>,
 libtext-template-perl <!nocheck>,
 libtext-unidecode-perl <!nocheck>,
 libtree-simple-perl <!nocheck>,
 libwant-perl <!nocheck>,
 libwx-perl <!nocheck>,
 libxmlrpc-lite-perl <!nocheck>,
 libyaml-tiny-perl <!nocheck>,
 pdl <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdemeter-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdemeter-perl.git
Homepage: https://metacpan.org/release/Demeter
Rules-Requires-Root: no

Package: libdemeter-perl
Architecture: all
Depends:
 libarchive-zip-perl,
 libcapture-tiny-perl,
 libchemistry-elements-perl,
 libchemistry-formula-perl,
 libconfig-ini-perl,
 libconst-fast-perl,
 libdatetime-perl,
 libdigest-sha-perl,
 libencoding-fixlatin-perl,
 libfile-copy-recursive-perl,
 libfile-countlines-perl,
 libfile-monitor-lite-perl,
 libfile-touch-perl,
 libfile-which-perl,
 libgraph-perl,
 libgraphics-gnuplotif-perl,
 libheap-perl,
 libifeffit-perl,
 libjson-perl,
 liblist-moreutils-perl,
 libmath-combinatorics-perl,
 libmath-derivative-perl,
 libmath-random-free-perl,
 libmath-random-perl,
 libmath-round-perl,
 libmath-spline-perl,
 libmoose-perl,
 libmoosex-aliases-perl,
 libmoosex-types-laxnum-perl,
 libmoosex-types-perl,
 libpdl-filter-perl,
 libpdl-stats-perl,
 libpod-pom-perl,
 libregexp-assemble-perl,
 libregexp-common-perl,
 librpc-xml-perl,
 libspreadsheet-writeexcel-perl,
 libstar-parser-perl,
 libstatistics-descriptive-perl,
 libterm-sk-perl,
 libterm-twiddle-perl,
 libtext-template-perl,
 libtext-unidecode-perl,
 libtree-simple-perl,
 libwant-perl,
 libwx-perl,
 libxmlrpc-lite-perl,
 libxray-absorption-perl,
 libxray-scattering-perl,
 libyaml-tiny-perl,
 pdl,
 ${misc:Depends},
 ${perl:Depends},
Description: comprehensive XAS data analysis system using Feff and Ifeffit or Larch
 Demeter provides an object oriented interface to the EXAFS data analysis
 capabilities of the popular and powerful Ifeffit package and its successor
 Larch. Given that the Ifeffit and Larch APIs involve streams of text
 commands, this package is, at heart, a code generator. Many methods of this
 package return text. All actual interaction with Ifeffit or Larch is handled
 through a single method, dispose, which is described below. The internal
 structure of this package involves accumulating text in a scalar variable
 through successive calls to the various code generating methods. This text is
 then disposed to Ifeffit, to Larch, to a file, or elsewhere. The outward
 looking methods organize all of the complicated interactions of your data
 with Ifeffit or Larch.
 .
 This package is aimed at many targets. It can be the back-end of a graphical
 data analysis program, providing the glue between the on-screen
 representation of the fit and the actual command executed by Ifeffit or
 Larch. It can be used for one-off data analysis chores -- indeed most of the
 examples that come with the package can be reworked into useful one-off
 scripts. It can also be the back-end to sophisticated data analysis chores
 such as high-throughout data processing and analysis or complex physical
 modeling.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

execute_after_dh_auto_install:
	$(RM) -v  $(TMP)/usr/share/perl5/Chemistry/Formula.pm
	$(RM) -v  $(TMP)/usr/share/perl5/Ifeffit.pm
	$(RM) -rv $(TMP)/usr/share/perl5/Xray/Scattering*
	$(RM) -rv $(TMP)/usr/share/perl5/Xray/Absorption*
	$(RM) -v  $(TMP)/usr/share/perl5/Xray/FluorescenceEXAFS.pm

execute_before_dh_strip_nondeterminism:
	# dh_strip_nondeterminism: warning: Ignoring unwritable file: Demeter.png
	find $(TMP) -type f -name "*.png" -print0 | xargs -r0 chmod +w

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+ds6,\
repack,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/bruceravel/demeter/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
